"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.configHtmlPlugin = void 0;
/**
 * Plugin to minimize and use ejs template syntax in index.html.
 * https://github.com/anncwb/vite-plugin-html
 */
const vite_plugin_html_1 = require("vite-plugin-html");
function configHtmlPlugin({ isBuild }) {
    const htmlPlugin = (0, vite_plugin_html_1.createHtmlPlugin)({
        minify: isBuild,
    });
    return htmlPlugin;
}
exports.configHtmlPlugin = configHtmlPlugin;
//# sourceMappingURL=html.js.map