import { type PluginOption } from 'vite';
interface Options {
    isBuild: boolean;
    mode: 'build' | 'lib' | 'dev';
    root: string;
    compress: string;
    enableMock?: boolean;
    enableAnalyze?: boolean;
    enableInspect?: boolean;
    enableCert?: boolean;
}
declare function createPlugins({ isBuild, mode, root, enableMock, compress, enableAnalyze, enableInspect, enableCert, }: Options): Promise<(PluginOption | PluginOption[])[]>;
export { createPlugins };
