"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function externalPlugin(fromSource = false) {
    return {
        name: 'vite:external-node_modules',
        enforce: 'pre',
        async resolveId(source, importer) {
            if (source && source.startsWith('fe-ent-core') && fromSource) {
                return false;
            }
            const result = await this.resolve(source, importer, {
                skipSelf: true,
                custom: { 'node-resolve': {} },
            });
            if (result && /node_modules/.test(result.id)) {
                return false;
            }
            return null;
        },
    };
}
exports.default = externalPlugin;
//# sourceMappingURL=index.js.map