"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const vite_1 = require("vite");
const app_1 = require("../../configs/app");
const app_umd_1 = require("../../configs/app.umd");
async function run() {
    const appConfig = await (0, app_1.defineAppConfig)({
        command: 'build',
        mode: 'production',
    });
    //不重文件加载配置
    appConfig.configFile = false;
    await (0, vite_1.build)(appConfig);
    const appUmdConfig = await (0, app_umd_1.defineAppUmdConfig)({
        command: 'build',
        mode: 'production',
    });
    appUmdConfig.configFile = false;
    await (0, vite_1.build)(appUmdConfig);
}
exports.default = run;
//# sourceMappingURL=index.js.map