/**
 * 替换换行和竖线使其能在markdown中显示
 * @param str
 */
export declare const escapeCharacter: (str: string) => string;
/**
 * 转为 kebab-case
 * @param str
 */
export declare const toKebabCase: (str: string) => string;
export declare function isBoolean(obj: unknown): obj is boolean;
/**
 * 去掉包裹字符串的引号
 * @param {str} string
 * @returns {string}
 */
export declare function unquote(str: string): string;
/**
 * 清理字符串前后的空格，竖线和 \n
 * @param {str} string
 * @returns {string}
 */
export declare function trimStr(str: string): string;
/**
 * 清理字符串中不符合预期的字符，如 \n
 * @param {str} string
 * @returns {string}
 */
export declare function cleanStr(str: string): string;
export declare const getTemplate: (src: string, lang: 'zh' | 'en') => string;
