/**
 * Get the environment variables starting with the specified prefix
 * @param match prefix
 * @param confFiles ext
 */
export declare function getEnvConfig(match?: string, confFiles?: string[]): Promise<{}>;
export declare function wrapperEnv(envConf: Record<any, any>, mode: string): ViteEnv;
export interface ViteEnv {
    VITE_GLOB_APP_TITLE: string;
    VITE_GLOB_APP_SHORT_NAME: string;
    VITE_PUBLIC_PATH: string;
    VITE_BUILD_USE_MOCK: boolean;
    VITE_BUILD_COMPRESS: 'gzip' | 'brotli' | 'none';
    VITE_BUILD_USE_IMAGEMIN: boolean;
    VITE_BUILD_USE_HTTPS: boolean;
    VITE_BUILD_ENABLE_ANALYZE: boolean;
    VITE_BUILD_ENABLE_INSPECT: boolean;
    VITE_BUILD_ENABLE_CERT: boolean;
}
