"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getPackage = void 0;
const path_1 = __importDefault(require("path"));
const fs_extra_1 = __importDefault(require("fs-extra"));
let cache;
const getPackage = async () => {
    if (!cache) {
        const content = await fs_extra_1.default.readFile(path_1.default.resolve(process.cwd(), 'package.json'), 'utf8');
        try {
            cache = JSON.parse(content);
        }
        catch { }
    }
    return cache ?? {};
};
exports.getPackage = getPackage;
//# sourceMappingURL=get-package.js.map