"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = __importDefault(require("path"));
const root = process.cwd();
function resolvePath(...relativePath) {
    return path_1.default.resolve(root, ...relativePath);
}
const components = resolvePath('./components');
const directives = resolvePath('./directives');
const theme = resolvePath('./theme');
// icon相关
const icon = resolvePath('./icon');
const iconSvgs = resolvePath('./icon/_svgs');
const iconComponents = resolvePath('./components/icon');
exports.default = {
    resolvePath,
    root,
    icon,
    iconSvgs,
    iconComponents,
    components,
    directives,
    theme,
};
//# sourceMappingURL=paths.js.map