"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = __importDefault(require("path"));
const jestConfig = (collectCoverageFrom) => ({
    transform: {
        '^.+\\.[jt]sx?$': require.resolve('babel-jest'),
        '^.+\\.vue$': require.resolve('vue-jest'),
        // 编译后的目标文件
        '^.+\\.md$': path_1.default.resolve(__dirname, '../plugins/md-vue-jest/index.js'),
    },
    collectCoverageFrom: collectCoverageFrom.concat([
        'src/**/*.{vue,tsx,ts}',
        '!components/icon/**/*',
        '!**/style/*',
    ]),
    coverageDirectory: '.coverage',
});
exports.default = jestConfig;
//# sourceMappingURL=jest.config.js.map