"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getUserConfig = void 0;
const path_1 = __importDefault(require("path"));
const fs_extra_1 = __importDefault(require("fs-extra"));
const CONFIG_DIR = '.config';
const getUserConfig = async (name) => {
    const filename = path_1.default.resolve(process.cwd(), CONFIG_DIR, name);
    try {
        await fs_extra_1.default.access(filename);
        return require(filename);
    }
    catch {
        return undefined;
    }
};
exports.getUserConfig = getUserConfig;
//# sourceMappingURL=config.js.map