"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.toPascalCase = exports.toKebabCase = void 0;
const toKebabCase = (string) => {
    return string.replace(/[A-Z]+/g, (match, offset) => {
        return `${offset > 0 ? '-' : ''}${match.toLocaleLowerCase()}`;
    });
};
exports.toKebabCase = toKebabCase;
const toPascalCase = (string) => {
    return string
        .replace(/^./, (match) => match.toLocaleUpperCase())
        .replace(/-(.)/g, (match, p1) => {
        return p1.toLocaleUpperCase();
    });
};
exports.toPascalCase = toPascalCase;
//# sourceMappingURL=convert-case.js.map