"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createContentHash = void 0;
const node_crypto_1 = require("node:crypto");
function createContentHash(content, hashLSize = 12) {
    const hash = (0, node_crypto_1.createHash)('sha256').update(content);
    return hash.digest('hex').slice(0, hashLSize);
}
exports.createContentHash = createContentHash;
//# sourceMappingURL=hash.js.map