"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.outputBundle = void 0;
/**
 * 根据output类型输出打包文件
 * @param output
 * @param bundle
 */
const outputBundle = async (output, bundle) => {
    if (!output || !bundle) {
        return false;
    }
    if (Array.isArray(output)) {
        const list = [];
        for (const item of output) {
            list.push(bundle.write(item));
        }
        return Promise.all(list);
    }
    return bundle.write(output);
};
exports.outputBundle = outputBundle;
//# sourceMappingURL=rollup.js.map